package com.tofly.gpsboot.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.car.cusom.CarUploadSearch;
import com.tofly.pojo.car.cusom.GpsCarSearch;
import com.tofly.pojo.car.CarOil;


import java.util.List;
import java.util.Map;

public interface CustomCarService {
     ResultRespone getGpsCarList(Page page, GpsCarSearch gpsCarSearch);
     List<String> getSection(GpsCarSearch gpsCarSearch);
     Page<Map> listCarWatch(Page page, CarUploadSearch carUploadSearch);
     Page<Map> getCarOilPage(Page page, CarOil carOil);
}
